﻿
using System;
using Wisej.Web;

namespace WisejMobileWebPageApplication2
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();

			this.flowLayoutPanel1.SuspendLayout();
			this.SuspendLayout();

			// Line Chart
			object[] monate = new object[] { 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12 };
			Acclaro.WisejEJ2Charts.EJ2Chart chart = new Acclaro.WisejEJ2Charts.EJ2Chart("Unternehmen Liquidität", monate);
			chart.Height = 400;

			object[] auftragsvolumen = new object[] { 30, 53, 2, 66, 70, 82, 86, 96, 85, 83, 69, 88 };
			object[] angebotsvolumen = new object[] { 55, 147, 136, 65, 86, 1, 73, 191, 133, 90, 78, 122 };
			object[] kosten = new object[] { 10, 98, 94, 86, 42, 9, 25, 4, 63, 10, 85, 33 };
			object[] rechnungen = new object[] { 197, 6, 26, 120, 45, 60, 90, 186, 160, 195, 26, 19 };
			object[] zahlungen = new object[] { 91, 83, 91, 120, 39, 9, 59, 136, 74, 79, 57, 143 };

			chart.AddLineSeries("Auftagsvolumen", auftragsvolumen);
			chart.AddLineSeries("Angebotsvolumen", angebotsvolumen);
			chart.AddLineSeries("Kosten", kosten);
			chart.AddLineSeries("Rechnungen", rechnungen);
			chart.AddLineSeries("Zahlungen", zahlungen);

			chart.Commit();

			this.flowLayoutPanel1.Controls.Add(chart);
			this.flowLayoutPanel1.SetFillWeight(chart, 1);

			// Line Chart

			string[] kategorien = new string[] { "Anwesend", "Krank", "Urlaub"};
			int[] werte = new int[] { 26, 2, 4 };
			Acclaro.WisejEJ2Charts.EJ2AccumulationChart accChart = new Acclaro.WisejEJ2Charts.EJ2AccumulationChart("Mitarbeiter", kategorien, werte);
			accChart.Height = 400;

			accChart.SetDataLabelSettings(true, null);

			accChart.Commit();

			this.flowLayoutPanel1.Controls.Add(accChart);
			this.flowLayoutPanel1.SetFillWeight(accChart, 1);

			this.flowLayoutPanel1.ResumeLayout(false);
			this.flowLayoutPanel1.PerformLayout();
			this.ResumeLayout(false);
		}
	}
}
